Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::addon::ocr::OCRSettingData Class Reference

Inherits Object.

## Public Member Functions
| OCRSettingData ()
| Constructor.
| OCRSettingData (pdf::PDFDoc pdf_doc, const common::Range &page_range, bool is_editable, const OCRConfig &ocr_config)
| Constructor, with parameters. More...
bool | operator!= (const OCRSettingData &data)
| Not equal operator. More...
OCRSettingData & | operator= (const OCRSettingData &data)
| Assign operator. More...
void | Set (pdf::PDFDoc pdf_doc, const common::Range &page_range, bool is_editable, const OCRConfig &ocr_config)
| Set value. More...

## Public Attributes
bool | is_editable
| Decide whether the OCR result is editable. true means the OCR result is editable. false means the OCR result can only be searched but not be edited.
OCRConfig | ocr_config
| The OCRConfig object.
common::Range | page_range
| The range of pages that need to be OCR.
pdf::PDFDoc | pdf_doc
| A valid PDF document that need to be OCR.

## Detailed Description

This class represents setting data used for OCR.

## Constructor & Destructor Documentation

## ◆ OCRSettingData()

foxit::addon::ocr::OCRSettingData::OCRSettingData | ( | pdf::PDFDoc | pdf_doc,
|  | const common::Range & | page_range,
|  | bool | is_editable,
|  | const OCRConfig & | ocr_config
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | pdf_doc | A valid PDF document.
  [in] | page_range | The range of pages that need to be OCR.
  [in] | is_editable | true means the OCR result is editable, false means the OCR result can only be searched but not be edited.
  [in] | ocr_config | The OCRConfig object.

## Member Function Documentation

## ◆ operator!=()

bool foxit::addon::ocr::OCRSettingData::operator!= | ( | const OCRSettingData & | data | ) |
| inline

Not equal operator.

Parameters

  [in] | data | Another OCR setting data object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

OCRSettingData& foxit::addon::ocr::OCRSettingData::operator= | ( | const OCRSettingData & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another OCR setting data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::addon::ocr::OCRSettingData::Set | ( | pdf::PDFDoc | pdf_doc,
|  | const common::Range & | page_range,
|  | bool | is_editable,
|  | const OCRConfig & | ocr_config
| ) |  |
| inline

Set value.

Parameters

  [in] | pdf_doc | A valid PDF document.
  [in] | page_range | The range of pages that need to be OCR.
  [in] | is_editable | true means the OCR result is editable, false means the OCR result can only be searched but not be edited.
  [in] | ocr_config | The OCRConfig object.

Returns
  None.